<ion-header>
    <ion-toolbar color="primary">
      <ion-buttons slot="start">
        <ion-menu-button color="secondary"></ion-menu-button>
      </ion-buttons>
      <ion-buttons slot="end">
          <ion-button size="small" shape="round" color="medium">
            <ion-icon name="person"></ion-icon>
            <ion-badge color="dark" slot="end">Se connecter</ion-badge>
          </ion-button>
        </ion-buttons>
      <ion-title>
            <ion-text color="light" class="fw700">Assurus24</ion-text>
      </ion-title>
    </ion-toolbar>
  </ion-header>

  <ion-content padding class="animated fadeIn login auth-page">
    
      <div class="auth-content">
    
  
    <!-- Login form -->
    <form [formGroup]='onInfocarForm' class="list-form">
        <ion-item no-padding class="animated fadeInUp">
          <ion-label position="floating"  color="primary">
            <ion-icon name="car" item-start></ion-icon>
            <ion-text  class="fw500">Numéro d'immatriculation</ion-text>
          </ion-label>
          <ion-input color="secondary" type="text" formControlName="numimmat"></ion-input>
        </ion-item>
        <p ion-text class="text08" *ngIf="onInfocarForm.get('numimmat').touched && onInfocarForm.get('numimmat').hasError('required')">
          <ion-text color="warning">
            Required Field
          </ion-text>
        </p>
  
        <ion-item no-padding class="animated fadeInUp">
          <ion-label position="floating">
            <ion-icon name="car" item-start></ion-icon>
            Numéro carte grise 
          </ion-label>
          <ion-input color="secondary" type="text" formControlName="numcartegrise"></ion-input>
        </ion-item>
        <p ion-text color="warning" class="text08" *ngIf="onInfocarForm.get('numcartegrise').touched && onInfocarForm.get('numcartegrise').hasError('required')">
          <ion-text color="warning">
            Required Field
          </ion-text>
          </p>
          <ion-item no-padding class="animated fadeInUp">
              <ion-label position="floating">
                <ion-icon name="car" item-start></ion-icon>
                Marque 
              </ion-label>
              <ion-input color="secondary" type="text" formControlName="marque"></ion-input>
            </ion-item>
            <p ion-text color="warning" class="text08" *ngIf="onInfocarForm.get('marque').touched && onInfocarForm.get('marque').hasError('required')">
              <ion-text color="warning">
                Required Field
              </ion-text>
              </p>
              <ion-item no-padding class="animated fadeInUp">
                  <ion-label position="floating">
                    <ion-icon name="car" item-start></ion-icon>
                    Modèle 
                  </ion-label>
                  <ion-input color="secondary" type="text" formControlName="model"></ion-input>
                </ion-item>
                <p ion-text color="warning" class="text08" *ngIf="onInfocarForm.get('model').touched && onInfocarForm.get('model').hasError('required')">
                  <ion-text color="warning">
                    Required Field
                  </ion-text>
                  </p>
                  <ion-item no-padding class="animated fadeInUp">
                      <ion-label position="floating">
                        <ion-icon name="car" item-start></ion-icon>
                        Carburant 
                      </ion-label>
                      <br />
                      <br />
                      <ion-input color="secondary" type="radio" formControlName="carburant" class="cc-selector">
                          <input id="visa" type="radio" name="credit-card" value="visa" />
                          <label class="drinkcard-cc super" for="visa"></label>
                          &nbsp;
                          <input id="mastercard" type="radio" name="credit-card" value="mastercard" />
                          <label class="drinkcard-cc diesel"for="mastercard"></label>
                      </ion-input>
                      
                    </ion-item>
                    <p ion-text color="warning" class="text08" *ngIf="onInfocarForm.get('carburant').touched && onInfocarForm.get('carburant').hasError('required')">
                      <ion-text color="warning">
                        Required Field
                      </ion-text>
                      </p>
                      <ion-item no-padding class="animated fadeInUp">
                          <ion-label position="floating">
                            <ion-icon name="car" item-start></ion-icon>
                            Age 
                          </ion-label>
                         <ion-datetime formControlName="age" displayFormat="YYYY" pickerFormat="YYYY"  [yearValues]="customYearValues"></ion-datetime>
                         
                        </ion-item>
                        <p ion-text color="warning" class="text08" *ngIf="onInfocarForm.get('age').touched && onInfocarForm.get('age').hasError('required')">
                          <ion-text color="warning">
                            Required Field
                          </ion-text>
                          </p>
                         
                        
                          <ion-item no-padding class="animated fadeInUp">
                              <ion-label position="floating">
                                <ion-icon name="car" item-start></ion-icon>
                                Puissance fiscale 
                              </ion-label>
                              <br />
                                <br />
                              <ion-input color="secondary" type="range" min="1" max="100" step="1" value="1"  formControlName="puissancefiscale" [(ngModel)]="puissancefiscale">
                                <ion-label slot="start"><ion-text color="medium"> {{puissancefiscale}} CV</ion-text></ion-label>
                            </ion-input>
                            </ion-item>
                            <p ion-text color="warning" class="text08" *ngIf="onInfocarForm.get('puissancefiscale').touched && onInfocarForm.get('puissancefiscale').hasError('required')">
                              <ion-text color="warning">
                                Required Field
                              </ion-text>
                              </p>
                              <ion-item no-padding class="animated fadeInUp">
                                  <ion-label position="floating">
                                    <ion-icon name="car" item-start></ion-icon>
                                    Nombre de places 
                                  </ion-label>
                                  <ion-input color="secondary" type="number" formControlName="nombredeplace"></ion-input>
                                </ion-item>
                                <p ion-text color="warning" class="text08" *ngIf="onInfocarForm.get('nombredeplace').touched && onInfocarForm.get('nombredeplace').hasError('required')">
                                  <ion-text color="warning">
                                    Required Field
                                  </ion-text>
                                  </p>
                                  <ion-item no-padding class="animated fadeInUp">
                                      <ion-label position="floating">
                                        <ion-icon name="cash" item-start></ion-icon>
                                        Valeur déclarative 
                                      </ion-label>
                                      <ion-input color="secondary" type="number" formControlName="valeurdeclarative"></ion-input>
                                    </ion-item>
                                    <p ion-text color="warning" class="text08" *ngIf="onInfocarForm.get('valeurdeclarative').touched && onInfocarForm.get('valeurdeclarative').hasError('required')">
                                      <ion-text color="warning">
                                        Required Field
                                      </ion-text>
                                      </p>
                                      <ion-item no-padding class="animated fadeInUp">
                                          <ion-label position="floating">
                                            <ion-icon name="cash" item-start></ion-icon>
                                            valeur initiale 
                                          </ion-label>
                                          <ion-input color="secondary" type="number" formControlName="valeurinitiale"></ion-input>
                                        </ion-item>
                                        <p ion-text color="warning" class="text08" *ngIf="onInfocarForm.get('valeurinitiale').touched && onInfocarForm.get('valeurinitiale').hasError('required')">
                                          <ion-text color="warning">
                                            Required Field
                                          </ion-text>
                                          </p>
                                          <ion-item no-padding class="animated fadeInUp">
                                              <ion-label position="floating">
                                                <ion-icon name="calendar" item-start></ion-icon>
                                                Date de validité de votre visite technique 
                                              </ion-label>
                                              <ion-datetime formControlName="datedevalidite" displayFormat="YYYY MM DD" pickerFormat="YYYY MM DD"  [yearValues]="customYearValues"></ion-datetime>    
                                            </ion-item>
                                            <p ion-text color="warning" class="text08" *ngIf="onInfocarForm.get('datedevalidite').touched && onInfocarForm.get('datedevalidite').hasError('required')">
                                              <ion-text color="warning">
                                                Required Field
                                              </ion-text>
                                              </p>
      </form>
      <div>
          <ion-button icon-left size="medium" expand="full" shape="round" color="dark" (click)="goToHome()" [disabled]="!onInfocarForm.valid" tappable>
            <ion-icon name="arrow-forward"></ion-icon>
            Enregistrer
          </ion-button>
          
        </div>
  </div>
  </ion-content>
  
